# -*- encoding: utf-8 -*-
# stub: session_keys 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "session_keys".freeze
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Glenn Rempe".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-08-23"
  s.description = "    SessionKeys is a cryptographic tool for the deterministic generation of\n    NaCl compatible Curve25519 encryption and Ed25519 digital signature keys.\n\n    The strength of the system is rooted in the fact that the keypairs are derived from\n    passing an identifier, such as a username or email address, and a high-entropy\n    passphrase through the SHA256 one-way hash and the scrypt key derivation\n    functions. This means that no private key material need ever be writter to\n    disk or transmitted. The generated keys are deterministic; for any given ID,\n    password, and strength combination the same keys will always be returned.\n".freeze
  s.email = ["glenn@rempe.us".freeze]
  s.homepage = "https://github.com/grempe/session-keys-rb".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "SessionKeys generates deterministic user IDs and NaCl encryption/signing keypairs from an identifier, such as a username or email address, a password, and a strength value.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rbnacl>.freeze, ["~> 7.0.0"])
    s.add_runtime_dependency(%q<zxcvbn-ruby>.freeze, [">= 1.0", "< 2.0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8.23"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<wwtd>.freeze, ["~> 1.4"])
  else
    s.add_dependency(%q<rbnacl>.freeze, ["~> 7.0.0"])
    s.add_dependency(%q<zxcvbn-ruby>.freeze, [">= 1.0", "< 2.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8.23"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<wwtd>.freeze, ["~> 1.4"])
  end
end
